/// <reference types="node" />
/// <reference types="node" />
import AWS_S3 from '@aws-sdk/client-s3';
import { ICredentialOptions } from '../../types';
import { Readable } from 'stream';
export declare class Storage {
    endpoint: string;
    private _instance;
    private _cos;
    private _region;
    constructor({ endpoint, region, credential, cos, }: {
        credential: ICredentialOptions;
        endpoint?: string;
        region?: string;
        cos?: boolean;
    });
    getObjectSignedUrl({ Bucket, Key, Expires }: {
        Bucket: any;
        Key: any;
        Expires: any;
    }): Promise<{
        Url: string;
    }>;
    putObject({ Bucket, Key, Body, ACL, Headers, }: {
        Bucket: string;
        Key: string;
        Body: Buffer | String | Readable | AWS_S3.PutObjectCommandInput['Body'] | any;
        ACL?: AWS_S3.PutObjectCommandInput['ACL'];
        Headers?: Record<string, string>;
    }): Promise<null>;
    putObjectSignedUrl({ Bucket, Key, ACL, Expires }: {
        Bucket: any;
        Key: any;
        ACL: any;
        Expires: any;
    }): Promise<{
        Url: string;
    }>;
    putBucketAcl({ ACL, Bucket }: {
        ACL: any;
        Bucket: any;
    }): Promise<null>;
    putObjectAcl({ ACL, Bucket, Key }: {
        ACL: any;
        Bucket: any;
        Key: any;
    }): Promise<null>;
}
export declare function getUploadDirFileList(src: string, cloudPath: string): {
    src: string;
    cloudPath: string;
}[];
