export = ClientProfile;
/**
 * Client settings.
 * @class
 */
declare class ClientProfile {
    /**
     * @param {string} signMethod Signature method, valid values: HmacSHA1, HmacSHA256.
     * @param {HttpProfile} httpProfile HTTP settings.
     */
    constructor(signMethod: string, httpProfile: HttpProfile);
    /**
     * @type {string}
     */
    signMethod: string;
    /**
     * @type {httpProfile}
     */
    httpProfile: HttpProfile;
}
import HttpProfile = require("./http_profile");
