export = HttpProfile;
/**
 * HTTP settings.
 * @class
 */
declare class HttpProfile {
    /**
     * @param {string} protocol Only supports https://.
     * @param {string} endpoint Domain name, such as cvm.ap-shanghai.tcecloud.com.
     * @param {string} reqMethod HTTP method, only supports GET and POST.
     * @param {number} reqTimeout Request timeout value, in seconds, default 60.
     */
    constructor(protocol: string, endpoint: string, reqMethod: string, reqTimeout: number, headers?: {});
    /**
     * @type {string}
     */
    reqMethod: string;
    /**
     * 接入点域名，形如（product.api3.{{conf.main_domain}}），product即接入TCE的产品名，如CVM VPC CLB等，api3是调用版本，{{conf.main_domain}}是主域名。
     * @type {string || null}
     */
    endpoint: string;
    /**
     * @type {string}
     */
    protocol: string;
    /**
     * @type {number}
     */
    reqTimeout: number;
    headers: {};
}
